%global pypi_name accept-types
%global pypi_version 0.4.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Determine the best content to send in an HTTP response

License:        BSD
URL:            https://bitbucket.org/tim_heap/python-accept-types
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3dist(setuptools)

%description
accept-types - Use the correct accept type for a request accept-types helps
your application respond to a HTTP request in a way that a client prefers. The
Accept header of an HTTP request informs the server which MIME types the client
is expecting back from this request, with weighting to indicate the most
prefered. If your server can respond in multiple formats (e.g.: JSON, XML,
HTML), the...

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
accept-types - Use the correct accept type for a request accept-types helps
your application respond to a HTTP request in a way that a client prefers. The
Accept header of an HTTP request informs the server which MIME types the client
is expecting back from this request, with weighting to indicate the most
prefered. If your server can respond in multiple formats (e.g.: JSON, XML,
HTML), the...


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
%py3_check_import accept_types

%install
#py3_install
%pyproject_install
%pyproject_save_files accept_types

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
#{python3_sitelib}/accept_types/

%changelog
* Thu Feb 03 2022 Paul Wouters <paul.wouters@aiven.io> - 0.4.1-1
- Initial package.
